Package gov.nasa.gsfc.sscweb.schema

# Class SpaceRegions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.SpaceRegions

public class SpaceRegions extends Object
Space Regions. <p>Java class for SpaceRegions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SpaceRegions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="SpacecraftRegion" type="{http://sscweb.gsfc.nasa.gov/schema}SpaceRegionType" maxOccurs="11"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<SpaceRegionType>`
  `spacecraftRegion`
  Selection of distinct spacecraft regions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpaceRegions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<SpaceRegionType>`
  `getSpacecraftRegion()`
  Selection of distinct spacecraft regions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### spacecraftRegion

    protected List<SpaceRegionType> spacecraftRegion
    Selection of distinct spacecraft regions.

- ## Constructor Details

  - ### SpaceRegions

    public SpaceRegions()

- ## Method Details

  - ### getSpacecraftRegion

    public List<SpaceRegionType> getSpacecraftRegion()
    Selection of distinct spacecraft regions. Gets the value of the spacecraftRegion property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the spacecraftRegion property.

    For example, to add a new item, do as follows:

         getSpacecraftRegion().add(newItem);

    Objects of the following type(s) are allowed in the list `SpaceRegionType`

    Returns:
      The value of the spacecraftRegion property.